{
  "name": "devops_cicd",
  "version": "1.0.0",
  "description": "T360 teaching material",
  "main": "index.js",
  "scripts": {
    "build": "npx tsc",
    "start": "node dist/index.js",
    "dev": "concurrently \"npx tsc --watch\" \"nodemon -q dist/index.js\"",
    "test": "cross-env NODE_ENV=test jest --testTimeout=10000"
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@types/supertest": "^2.0.12",
    "dotenv": "^16.0.0",
    "express": "^4.17.3"
  },
  "devDependencies": {
    "@types/express": "^4.17.13",
    "@types/node": "^17.0.23",
    "concurrently": "^7.1.0",
    "cross-env": "^7.0.3",
    "jest": "^27.5.1",
    "nodemon": "^2.0.15",
    "supertest": "^6.2.2",
    "typescript": "^4.6.3"
  },
  "jest": {
    "testEnvironment": "node",
    "coveragePathIgnorePatterns": [
      "/node_modules/"
    ]
  }
}
